Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ConfirmationResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ConfirmationResponse.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ConfirmationResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ConfirmationResponseOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ConfirmationResponse`

public static final class ClientWireProtocol.ConfirmationResponse.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder> implements ClientWireProtocol.ConfirmationResponseOrBuilder
Protobuf type `xg.cmdcomp.ConfirmationResponse`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ConfirmationResponse`
`build()`
`ClientWireProtocol.ConfirmationResponse`
`buildPartial()`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clear()`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearReason()`
`string reason = 2;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearShouldRetry()`
`bool should_retry = 5;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearSqlState()`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`clearVendorCode()`
`sfixed32 vendor_code = 4;`
`ClientWireProtocol.ConfirmationResponse`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getReason()`
`string reason = 2;`
`com.google.protobuf.ByteString`
`getReasonBytes()`
`string reason = 2;`
`boolean`
`getShouldRetry()`
`bool should_retry = 5;`
`String`
`getSqlState()`
`string sql_state = 3;`
`com.google.protobuf.ByteString`
`getSqlStateBytes()`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.ResponseType`
`getType()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`int`
`getTypeValue()`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`int`
`getVendorCode()`
`sfixed32 vendor_code = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.ConfirmationResponse.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.ConfirmationResponse.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.ConfirmationResponse.Builder`
`mergeFrom(ClientWireProtocol.ConfirmationResponse other)`
`final ClientWireProtocol.ConfirmationResponse.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setReason(String value)`
`string reason = 2;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setReasonBytes(com.google.protobuf.ByteString value)`
`string reason = 2;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setShouldRetry(boolean value)`
`bool should_retry = 5;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setSqlState(String value)`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setSqlStateBytes(com.google.protobuf.ByteString value)`
`string sql_state = 3;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setType(ClientWireProtocol.ConfirmationResponse.ResponseType value)`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setTypeValue(int value)`
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`
`final ClientWireProtocol.ConfirmationResponse.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ConfirmationResponse.Builder`
`setVendorCode(int value)`
`sfixed32 vendor_code = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### clear

public ClientWireProtocol.ConfirmationResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ConfirmationResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ConfirmationResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ConfirmationResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ConfirmationResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ConfirmationResponse.Builder mergeFrom(ClientWireProtocol.ConfirmationResponse other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ConfirmationResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`
Throws:
  `IOException`

### getTypeValue

public int getTypeValue()
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Specified by:
  `getTypeValue` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The enum numeric value on the wire for type.

### setTypeValue

public ClientWireProtocol.ConfirmationResponse.Builder setTypeValue(int value)
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for type to set.
Returns:
  This builder for chaining.

### getType

public ClientWireProtocol.ConfirmationResponse.ResponseType getType()
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Specified by:
  `getType` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The type.

### setType

public ClientWireProtocol.ConfirmationResponse.Builder setType(ClientWireProtocol.ConfirmationResponse.ResponseType value)
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public ClientWireProtocol.ConfirmationResponse.Builder clearType()
`.xg.cmdcomp.ConfirmationResponse.ResponseType type = 1;`

Returns:
  This builder for chaining.

### getReason

public String getReason()
`string reason = 2;`

Specified by:
  `getReason` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The reason.

### getReasonBytes

public com.google.protobuf.ByteString getReasonBytes()
`string reason = 2;`

Specified by:
  `getReasonBytes` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The bytes for reason.

### setReason

public ClientWireProtocol.ConfirmationResponse.Builder setReason(String value)
`string reason = 2;`

Parameters:
  `value` - The reason to set.
Returns:
  This builder for chaining.

### clearReason

public ClientWireProtocol.ConfirmationResponse.Builder clearReason()
`string reason = 2;`

Returns:
  This builder for chaining.

### setReasonBytes

public ClientWireProtocol.ConfirmationResponse.Builder setReasonBytes(com.google.protobuf.ByteString value)
`string reason = 2;`

Parameters:
  `value` - The bytes for reason to set.
Returns:
  This builder for chaining.

### getSqlState

public String getSqlState()
`string sql_state = 3;`

Specified by:
  `getSqlState` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The sqlState.

### getSqlStateBytes

public com.google.protobuf.ByteString getSqlStateBytes()
`string sql_state = 3;`

Specified by:
  `getSqlStateBytes` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The bytes for sqlState.

### setSqlState

public ClientWireProtocol.ConfirmationResponse.Builder setSqlState(String value)
`string sql_state = 3;`

Parameters:
  `value` - The sqlState to set.
Returns:
  This builder for chaining.

### clearSqlState

public ClientWireProtocol.ConfirmationResponse.Builder clearSqlState()
`string sql_state = 3;`

Returns:
  This builder for chaining.

### setSqlStateBytes

public ClientWireProtocol.ConfirmationResponse.Builder setSqlStateBytes(com.google.protobuf.ByteString value)
`string sql_state = 3;`

Parameters:
  `value` - The bytes for sqlState to set.
Returns:
  This builder for chaining.

### getVendorCode

public int getVendorCode()
`sfixed32 vendor_code = 4;`

Specified by:
  `getVendorCode` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The vendorCode.

### setVendorCode

public ClientWireProtocol.ConfirmationResponse.Builder setVendorCode(int value)
`sfixed32 vendor_code = 4;`

Parameters:
  `value` - The vendorCode to set.
Returns:
  This builder for chaining.

### clearVendorCode

public ClientWireProtocol.ConfirmationResponse.Builder clearVendorCode()
`sfixed32 vendor_code = 4;`

Returns:
  This builder for chaining.

### getShouldRetry

public boolean getShouldRetry()
`bool should_retry = 5;`

Specified by:
  `getShouldRetry` in interface `ClientWireProtocol.ConfirmationResponseOrBuilder`
Returns:
  The shouldRetry.

### setShouldRetry

public ClientWireProtocol.ConfirmationResponse.Builder setShouldRetry(boolean value)
`bool should_retry = 5;`

Parameters:
  `value` - The shouldRetry to set.
Returns:
  This builder for chaining.

### clearShouldRetry

public ClientWireProtocol.ConfirmationResponse.Builder clearShouldRetry()
`bool should_retry = 5;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ConfirmationResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ConfirmationResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ConfirmationResponse.Builder>`